Package ru.bitel.bgbilling.modules.voice.common.bean.report

# Class SessionDetailReportItem

java.lang.Object
ru.bitel.bgbilling.modules.voice.common.bean.report.SessionDetailReportItem

public class SessionDetailReportItem extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SessionDetailReportItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getCost()`
  `String`
  `getDestination()`
  `int`
  `getDuration()`
  `int`
  `getDurationRound()`
  `String`
  `getNumberA()`
  `String`
  `getNumberB()`
  `Date`
  `getSessionStart()`
  `boolean`
  `isSpanned()`
  `void`
  `setCost(BigDecimal cost)`
  `void`
  `setDestination(String destination)`
  `void`
  `setDuration(int duration)`
  `void`
  `setDurationRound(int roundedDuration)`
  `void`
  `setNumberA(String numberA)`
  `void`
  `setNumberB(String numberB)`
  `void`
  `setSessionStart(Date sessionStart)`
  `void`
  `setSpanned(boolean spanned)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SessionDetailReportItem

    public SessionDetailReportItem()

- ## Method Details

  - ### getSessionStart

    public Date getSessionStart()

  - ### setSessionStart

    public void setSessionStart(Date sessionStart)

  - ### getDestination

    public String getDestination()

  - ### setDestination

    public void setDestination(String destination)

  - ### getNumberA

    public String getNumberA()

  - ### setNumberA

    public void setNumberA(String numberA)

  - ### getNumberB

    public String getNumberB()

  - ### setNumberB

    public void setNumberB(String numberB)

  - ### getDuration

    public int getDuration()

  - ### setDuration

    public void setDuration(int duration)

  - ### getDurationRound

    public int getDurationRound()

  - ### setDurationRound

    public void setDurationRound(int roundedDuration)

  - ### getCost

    public BigDecimal getCost()

  - ### setCost

    public void setCost(BigDecimal cost)

  - ### isSpanned

    public boolean isSpanned()

  - ### setSpanned

    public void setSpanned(boolean spanned)